/**
 * Copyright (c) 2006-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jbi.messaging.exchange;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import org.ow2.petals.commons.Constants;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class MessageExchangeCheckHelper {

    private static final String petalsQualifiedUUIDPattern = "^" + Constants.UUID_DOMAIN
            + ":[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$";

    private static final String petalsSimpleUUIDPattern = "^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$";

    protected void assertIdIsPetalsSimpleUUID(String createdId) {
        assertNotNull(createdId);
        assertTrue("Generated id must be a Petals simple UUID",
                createdId.matches(petalsSimpleUUIDPattern));
    }

    protected void assertIdIsPetalsQualifiedUUID(String createdId) {
        assertNotNull(createdId);
        assertTrue("Generated id must be a Petals qualified UUID",
                createdId.matches(petalsQualifiedUUIDPattern));
    }
}
